# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:sid) do
  include EasyType
  include PuppetX::EnterpriseModules::Oracle::Settings

  desc <<-DESC

  DESC

  data_type('String[1]')

  defaultto do
    sid = default_database_sid
    break nil if sid.nil?

    sid
  end

  to_translate_to_resource do |raw_resource|
    raw_resource['SID']
  end
end
